/*
Theme Name: Divi Child Theme
Version: 1.0
Description: Basic Child Theme for B2P Divi
Author: Wilhelm Geiger
Template: Divi
Author URL: https://bauertothepeople.at
*/
 
/*------- Theme Customizations------- */

/*blog image aspect ratio square 1:1  - LINK zur Quelle: https://www.peeayecreative.com/change-the-divi-blog-image-aspect-ratio/ */

.pa-blog-image-1-1 .entry-featured-image-url {
  padding-top: 100%;
  display: block;
}

.pa-blog-image-1-1 .entry-featured-image-url img {
  position: absolute;
  height: 100%;
  width: 100%;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  object-fit: cover;
}

/*blog image aspect ratio landscape 16:9*/

.pa-blog-image-16-9 .entry-featured-image-url {
  padding-top: 56.25%;
  display: block;
}

.pa-blog-image-16-9 .entry-featured-image-url img {
  position: absolute;
  height: 100%;
  width: 100%;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  object-fit: cover;
}

/*blog image aspect ratio landscape 4:3*/

.pa-blog-image-4-3 .entry-featured-image-url {
  padding-top: 75%;
  display: block;
}

.pa-blog-image-4-3 .entry-featured-image-url img {
  position: absolute;
  height: 100%;
  width: 100%;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  object-fit: cover;
}

/*blog image aspect ratio landscape 3:2*/

.pa-blog-image-3-2 .entry-featured-image-url {
  padding-top: 66.66%;
  display: block;
}

.pa-blog-image-3-2 .entry-featured-image-url img {
  position: absolute;
  height: 100%;
  width: 100%;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  object-fit: cover;
}

/*blog image aspect ratio portrait 2:3*/

.pa-blog-image-2-3 .entry-featured-image-url {
  padding-top: 150%;
  display: block;
}

.pa-blog-image-2-3 .entry-featured-image-url img {
  position: absolute;
  height: 100%;
  width: 100%;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  object-fit: cover;
}

/** ##### CSS für Podcast-Startseite .mobile-columns-podcast #### **/
 
/** Tablet **/
@media (max-width: 980px){
.mobile-columns-podcast .et_pb_column {
width: 22% !important; /*four columns*/
clear: none !important;
}
}
 
 
/** Phone **/
@media (max-width: 479px){
.mobile-columns-podcast .et_pb_column {
width: 33% !important; /*three columns*/
clear: none !important;
}
}

/** ##### CSS für Podcast-Startseite .mobile-columns-podcast_1 #### **/
 
/** Tablet **/
@media (max-width: 980px){
.mobile-columns-podcast_1 .et_pb_column {
width: 22% !important; /*four columns*/
clear: none !important;
}
}
 
 
/** Phone **/
@media (max-width: 479px){
.mobile-columns-podcast_1 .et_pb_column {
width: 25% !important; /*three columns*/
clear: none !important;
}
}



/*set the height of the slide image*/

@media (min-width: 981px){
.et_pb_gallery_fullwidth .et_pb_gallery_image img {
   width: auto;
   height: 600px;
	 object-fit: cover;
}
}


@media (min-width:480) and (max-width: 980px) {
.et_pb_gallery_fullwidth .et_pb_gallery_image img {
   width: auto;
   height: 400px;
	 object-fit: cover;
}
}


@media (max-width: 479px){
.et_pb_gallery_fullwidth .et_pb_gallery_image img {
   width: auto;
   height: 200px;
	 object-fit: cover;
}
}


/*align the slide image to the middle*/

.et_pb_gallery_image {
   line-height: 0;
   text-align: center;
}


/*style the slider previous and next buttons*/

a.et-pb-arrow-prev {
   color: #fff!important;
   background: #66999933;
   margin-left: 18px!important;
   opacity: 1!important;
}

a.et-pb-arrow-next {
   color: #fff!important;
   background: #66999933;
   margin-right: 18px!important;
   opacity: 1!important;
}

@media all and (min-width: 768px) {
   .et-pb-arrow-next {
      opacity: 1;
      right: 22px;
   }
   .et-pb-arrow-prev {
      opacity: 1;
      left: 22px;
   }
}

@media all and (max-width: 767px) {
   .et-pb-arrow-next {
      opacity: 1;
      right: 1;
   }
   .et-pb-arrow-prev {
      opacity: 1;
      left: 1;
   }
}

/** ##### CSS Membership Filter - Reveal a Divi Module (or Row / Section) when Button Clicked - Q: https://divibooster.com/reveal-a-divi-module-or-row-section-when-button-clicked/ 220921 ####### **/

body:not(.et-fb) .rv_element { display: none; }
.et_pb_button.rv_button_opened:after { content:"\32"; }
.et_pb_button.rv_button_closed:after { content:"\33"; }




/*################################################################################*/
/*Größe der Profilbilder im Kommentarmodul - Chat mit Divi Support (Olga) 221101 */
/*################################################################################*/

.comment_avatar img {
    width: 50px;
}

.comment-body {
    padding-left: 67px;
}

@media (max-width: 767px){
#comment-wrap li.comment article {
    padding-left: 50px;
}}

/*################################################################################*/
/** ##### Entfernt die Anzahl der Anmeldungen von Event Ticket - Mail vom 9. April 2023 Bishop ####### **/
/*################################################################################*/

.event-tickets .tribe-tickets__rsvp-attendance {
display: none !important;
} 




/*################################################################################*/
/*Ausklappbarer Text (Wir)  - https://www.peeayecreative.com/how-to-expand-and-collapse-text-in-divi/ - 221023 */
/*################################################################################*/

/*collpse and set the height of the toggle text*/

.pa-toggle-text .et_pb_text_inner {
	max-height: 400px;
	transition: max-height 0.3s ease-out;
	overflow: hidden;
}


/*add gradient to the collapsed text*/

.pa-toggle-text .et_pb_text_inner:after {
	content: "";
	display: inline-block;
	position: absolute;
	pointer-events: none;
	height: 100px;
	width: 100%;
	left: 0;
	right: 0;
	bottom: 0;
	background-image: linear-gradient(0deg, #fff 10%, transparent);
}


/*style the expand text link*/

.pa-toggle-text .pa-text-expand-button {
	padding: 0.5em;
	text-align: center;
	color: #000000!important;
}


/*change the curor to a pointed when hovering over the expand text link*/

.pa-toggle-text .pa-text-expand-button span {
	cursor: pointer;
}


/*define the font family for the toggle icon*/

.pa-toggle-text .pa-text-expand-button .pa-text-toggle-icon {
	font-family: ETMODULES, "sans-serif";
}


/*set the max height and transition of the expanded toggle*/

.pa-toggle-text .pa-text-toggle-expanded {
	max-height: 2000px;
	transition: max-height 0.3s ease-in;
}


/*hide the gradient when the toggle is expanded*/

.pa-toggle-text .pa-text-toggle-expanded.et_pb_text_inner:after {
	background: none;
}

